Goolie Screamer Earrings V4

3D Figure Essentials Accessories posted on Oct 08, 2009 508 downloads

Operating System(s): Windows 95, Windows 98, Windows 2000, Windows ME, Windows NT, Windows XP, Windows Vista, Mac OS 9, Mac OS X, Linux

License: This is licensed for commercial or non-commercial use.

Product Notes


Goolie Screamer Earrings for V4. A cute, fun, lil set of ghost earrings for V4, to brighten up any runtime.Product Requirements: Poser 8 and V4.2


Best Selling Marketplace Items by This Vendor



Freestuff Comments


)

FantastArt 11:11AM | Mon, 12 October 2009

Very cute! Thank you!

)

marmac 9:26AM | Sun, 11 October 2009

Cute lil earrings for V4 that work properly in Poser 7 as well.